import React from 'react';

export const EthIcon = (): JSX.Element => (
  <svg
    width="1.2em"
    height="1.2em"
    viewBox="0 0 30 30"
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
  >
    <path
      d="M25.7341 25.3669C31.4432 19.455 31.2788 10.0343 25.3669 4.32523C19.4549 -1.38384 10.0343 -1.2194 4.32522 4.69251C-1.38385 10.6044 -1.21941 20.0251 4.6925 25.7342C10.6044 31.4432 20.0251 31.2788 25.7341 25.3669Z"
      fill="#B6FEDA"
    />
    <path
      d="M23.7646 23.4649C28.4232 18.6408 28.289 10.9535 23.4649 6.29492C18.6407 1.63633 10.9535 1.77051 6.29488 6.59463C1.63628 11.4187 1.77046 19.106 6.59458 23.7646C11.4187 28.4232 19.106 28.289 23.7646 23.4649Z"
      fill="#171717"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M22.2929 11.45C23.76 14.4271 23.2911 18.1283 20.8529 20.6531C18.4148 23.1779 14.7322 23.7757 11.7057 22.4134L13.8967 20.1446C15.6157 20.5236 17.4853 20.0274 18.7976 18.6684C20.1101 17.3093 20.5407 15.4236 20.1019 13.7189L22.2929 11.45ZM18.3537 7.64593L16.1626 9.9148C14.4437 9.53581 12.5741 10.0319 11.2617 11.391C9.94931 12.75 9.51871 14.6358 9.95746 16.3405L7.76645 18.6093C6.29937 15.6322 6.7683 11.9311 9.20645 9.40623C11.6446 6.88147 15.3272 6.28367 18.3537 7.64593Z"
      fill="#B6FEDA"
    />
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M7.54294 20.2119C6.85783 20.9214 6.87759 22.0519 7.58699 22.7369C8.2964 23.422 9.42687 23.4023 10.112 22.6929L13.5026 19.1818C14.1876 18.4723 14.1679 17.3419 13.4585 16.6568C12.7491 15.9717 11.6186 15.9915 10.9335 16.7009L7.54294 20.2119ZM16.4743 10.9633C15.7891 11.6727 15.8089 12.8032 16.5183 13.4883C17.2278 14.1734 18.3582 14.1537 19.0433 13.4442L22.4339 9.93318C23.119 9.22371 23.0993 8.09324 22.3898 7.40818C21.6804 6.72306 20.5499 6.74282 19.8648 7.45223L16.4743 10.9633Z"
      fill="#B6FEDA"
    />
  </svg>
);
